Loading...
Searching...
No Matches
casacore::SDFieldHandler Class Reference
msfits package (libcasa_msfits) » MSFits_module » MSFits_module_internal_classes

More...

`#include <SDFieldHandler.h>`

## Public Member Functions

| SDFieldHandler ()
| default ctor is not attached to a MS and hence is useless until attached
| SDFieldHandler (MeasurementSet &ms, Vector< Bool > &handledCols, const Record &row)
| attach this to a MS - no columns are explicitly handled here
| SDFieldHandler (const SDFieldHandler &other)
| copy ctor
| ~SDFieldHandler ()
SDFieldHandler & | operator= (const SDFieldHandler &other)
| assignment operator, uses copy semantics
void | attach (MeasurementSet &ms, Vector< Bool > &handledCols, const Record &row)
| attach to a MS, the handledCols and row arguments are ignored here
void | resetRow (const Record &row)
| reset internals given indicated row, use the same MS; just resets the id pointer
void | fill (const Record &row, const String &name, Int directionRefType, const Matrix< Double > &directionPoly, Double time, Int sourceId)
| fill - a new row is added at each call unless the data is from a previous MS fill in which case an existing MAIN_FIELD_ID is used to see if that existing row might be reused
Int | fieldId ()
| get the current field ID

## Private Member Functions

void | clearAll ()
| cleanup everything
void | clearRow ()
void | initAll (MeasurementSet &ms, Vector< Bool > &handledCols, const Record &row)
| initialize everything
void | initRow (Vector< Bool > &handledCols, const Record &row)
| initialize things which depend on the row

## Private Attributes

MSField * | msField_p
MSFieldColumns * | msFieldCols_p
Int | rownr_p
RORecordFieldPtr< Int > | fieldIdField_p
| fields which might be present if the data is originally from a MS
RORecordFieldPtr< String > | codeField_p
RORecordFieldPtr< String > | nameField_p
RORecordFieldPtr< Double > | timeField_p
RORecordFieldPtr< Array< Double > > | delayDirField_p
RORecordFieldPtr< Array< Double > > | delayDirRateField_p
RORecordFieldPtr< Array< Double > > | phaseDirField_p
RORecordFieldPtr< Array< Double > > | phaseDirRateField_p
RORecordFieldPtr< Array< Double > > | referenceDirField_p
RORecordFieldPtr< Array< Double > > | referenceDirRateField_p
RORecordFieldPtr< Bool > | flagRowField_p
ColumnsIndex * | index_p
RecordFieldPtr< String > | nameKey_p
RecordFieldPtr< Int > | sourceIdKey_p
RecordFieldPtr< Double > | timeKey_p

## Detailed Description

### Intended use:

Internal or

### Intended use:

Internal

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Prerequisite

- SomeClass
- SomeOtherClass
- some concept

### Etymology

### Synopsis

### Example

### Motivation

### Template Type Argument Requirements (T)

### Thrown Exceptions

### To Do

- add this feature
- fix this bug
- start discussion of this possible extension

Definition at line 85 of file SDFieldHandler.h.

## Constructor & Destructor Documentation

## SDFieldHandler() [1/3]

casacore::SDFieldHandler::SDFieldHandler | ( |  | ) |

default ctor is not attached to a MS and hence is useless until attached

Referenced by operator=(), and SDFieldHandler().

## SDFieldHandler() [2/3]

casacore::SDFieldHandler::SDFieldHandler | ( | MeasurementSet & | ms,
|  | Vector< Bool > & | handledCols,
|  | const Record & | row )

attach this to a MS - no columns are explicitly handled here

References casacore::Record().

## SDFieldHandler() [3/3]

casacore::SDFieldHandler::SDFieldHandler | ( | const SDFieldHandler & | other | ) |

copy ctor

References SDFieldHandler().

## ~SDFieldHandler()

casacore::SDFieldHandler::~SDFieldHandler | ( |  | ) |

inline

Definition at line 97 of file SDFieldHandler.h.

References clearAll().

## Member Function Documentation

## attach()

void casacore::SDFieldHandler::attach | ( | MeasurementSet & | ms,
|  | Vector< Bool > & | handledCols,
|  | const Record & | row )

attach to a MS, the handledCols and row arguments are ignored here

References casacore::Record().

## clearAll()

void casacore::SDFieldHandler::clearAll | ( |  | ) |

private

cleanup everything

Referenced by ~SDFieldHandler().

## clearRow()

void casacore::SDFieldHandler::clearRow | ( |  | ) |

private

## fieldId()

Int casacore::SDFieldHandler::fieldId | ( |  | ) |

inline

get the current field ID

Definition at line 115 of file SDFieldHandler.h.

References rownr_p.

## fill()

void casacore::SDFieldHandler::fill | ( | const Record & | row,
|  | const String & | name,
|  | Int | directionRefType,
|  | const Matrix< Double > & | directionPoly,
|  | Double | time,
|  | Int | sourceId )

fill - a new row is added at each call unless the data is from a previous MS fill in which case an existing MAIN_FIELD_ID is used to see if that existing row might be reused

References casacore::name(), casacore::Record(), and casacore::time().

## initAll()

void casacore::SDFieldHandler::initAll | ( | MeasurementSet & | ms,
|  | Vector< Bool > & | handledCols,
|  | const Record & | row )

private

initialize everything

References casacore::Record().

## initRow()

void casacore::SDFieldHandler::initRow | ( | Vector< Bool > & | handledCols,
|  | const Record & | row )

private

initialize things which depend on the row

References casacore::Record().

## operator=()

SDFieldHandler & casacore::SDFieldHandler::operator= | ( | const SDFieldHandler & | other | ) |

assignment operator, uses copy semantics

References SDFieldHandler().

## resetRow()

void casacore::SDFieldHandler::resetRow | ( | const Record & | row | ) |

reset internals given indicated row, use the same MS; just resets the id pointer

References casacore::Record().

## Member Data Documentation

## codeField_p

RORecordFieldPtr<String> casacore::SDFieldHandler::codeField_p

private

Definition at line 124 of file SDFieldHandler.h.

## delayDirField_p

RORecordFieldPtr<Array<Double> > casacore::SDFieldHandler::delayDirField_p

private

Definition at line 126 of file SDFieldHandler.h.

## delayDirRateField_p

RORecordFieldPtr<Array<Double> > casacore::SDFieldHandler::delayDirRateField_p

private

Definition at line 126 of file SDFieldHandler.h.

## fieldIdField_p

RORecordFieldPtr<Int> casacore::SDFieldHandler::fieldIdField_p

private

fields which might be present if the data is originally from a MS

Definition at line 123 of file SDFieldHandler.h.

## flagRowField_p

RORecordFieldPtr<Bool> casacore::SDFieldHandler::flagRowField_p

private

Definition at line 129 of file SDFieldHandler.h.

## index_p

ColumnsIndex* casacore::SDFieldHandler::index_p

private

Definition at line 131 of file SDFieldHandler.h.

## msField_p

MSField* casacore::SDFieldHandler::msField_p

private

Definition at line 117 of file SDFieldHandler.h.

## msFieldCols_p

MSFieldColumns* casacore::SDFieldHandler::msFieldCols_p

private

Definition at line 118 of file SDFieldHandler.h.

## nameField_p

RORecordFieldPtr<String> casacore::SDFieldHandler::nameField_p

private

Definition at line 124 of file SDFieldHandler.h.

## nameKey_p

RecordFieldPtr<String> casacore::SDFieldHandler::nameKey_p

private

Definition at line 132 of file SDFieldHandler.h.

## phaseDirField_p

RORecordFieldPtr<Array<Double> > casacore::SDFieldHandler::phaseDirField_p

private

Definition at line 127 of file SDFieldHandler.h.

## phaseDirRateField_p

RORecordFieldPtr<Array<Double> > casacore::SDFieldHandler::phaseDirRateField_p

private

Definition at line 127 of file SDFieldHandler.h.

## referenceDirField_p

RORecordFieldPtr<Array<Double> > casacore::SDFieldHandler::referenceDirField_p

private

Definition at line 127 of file SDFieldHandler.h.

## referenceDirRateField_p

RORecordFieldPtr<Array<Double> > casacore::SDFieldHandler::referenceDirRateField_p

private

Definition at line 128 of file SDFieldHandler.h.

## rownr_p

Int casacore::SDFieldHandler::rownr_p

private

Definition at line 120 of file SDFieldHandler.h.

Referenced by fieldId().

## sourceIdKey_p

RecordFieldPtr<Int> casacore::SDFieldHandler::sourceIdKey_p

private

Definition at line 133 of file SDFieldHandler.h.

## timeField_p

RORecordFieldPtr<Double> casacore::SDFieldHandler::timeField_p

private

Definition at line 125 of file SDFieldHandler.h.

## timeKey_p

RecordFieldPtr<Double> casacore::SDFieldHandler::timeKey_p

private

Definition at line 134 of file SDFieldHandler.h.

The documentation for this class was generated from the following file:

- msfits/MSFits/SDFieldHandler.h